regina::NormalHypersurfaces::HypersurfaceInserter Struct Reference
Normal Hypersurfaces

An output iterator used to insert hypersurfaces into an NormalHypersurfaces. More...

`#include <hypersurface/normalhypersurfaces.h>`

Inheritance diagram for regina::NormalHypersurfaces::HypersurfaceInserter:

## Public Member Functions

| HypersurfaceInserter (NormalHypersurfaces &list, Triangulation< 4 > *owner)
| Creates a new output iterator. More...
| HypersurfaceInserter (const HypersurfaceInserter &cloneMe)
| Creates a new output iterator that is a clone of the given iterator. More...
HypersurfaceInserter & | operator= (const HypersurfaceInserter &cloneMe)
| Sets this iterator to be a clone of the given output iterator. More...
HypersurfaceInserter & | operator= (NormalHypersurface *hypersurface)
| Appends a normal hypersurface to the end of the appropriate surface list. More...
HypersurfaceInserter & | operator= (NormalHypersurfaceVector *vector)
| Appends the normal hypersurface corresponding to the given vector to the end of the appropriate hypersurface list. More...
HypersurfaceInserter & | operator* ()
| Returns a reference to this output iterator. More...
HypersurfaceInserter & | operator++ ()
| Returns a reference to this output iterator. More...
HypersurfaceInserter & | operator++ (int)
| Returns a reference to this output iterator. More...

## Public Attributes

NormalHypersurfaces * | list_
| The list into which hypersurfaces will be inserted. More...
Triangulation< 4 > * | owner_
| The triangulation in which the hypersurfaces to be inserted are contained. More...

## Detailed Description

An output iterator used to insert hypersurfaces into an NormalHypersurfaces.

Objects of type `NormalHypersurface*` and `NormalHypersurfaceVector*` can be assigned to this iterator. In the latter case, a surrounding NormalHypersurface will be automatically created.

The documentation for this struct was generated from the following file:

- hypersurface/normalhypersurfaces.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).